<template>
  <div>
    <!-- RADAR CHART -->
    <vx-card title="Thống kê đánh giá đối với chất lượng cuộc sống">
      <div class="text-grey">
        Kiểm tra số liệu thống kê chính xác và xác định các khu vực cần cải
        thiện
      </div>
      <vue-apex-charts
        type="radar"
        height="650"
        :options="chartOptions"
        :series="series"
      ></vue-apex-charts>
    </vx-card>
  </div>
</template>

<script>
import VueApexCharts from "vue-apexcharts";

const themeColors = ["#7367F0", "#28C76F", "#EA5455", "#FF9F43", "#1E1E1E"];

export default {
  data() {
    return {
      chartOptions: {
        colors: themeColors,
        labels: [
          "Finances",
          "Love & Relationships",
          "Health & Fitness",
          "Career & Education",
          "Personal Development",
          "Family",
          "Friend & Social Life",
          "Fun & Recreation"
        ]
      },
      series: [
        {
          name: "Completed Tasks",
          data: [80, 50, 30, 40, 100, 20, 12, 12]
        }
      ]
    };
  },
  components: {
    VueApexCharts
  },
  mounted() {
    this.wasSidebarOpen = this.$store.state.reduceButton;
    this.$store.commit("TOGGLE_REDUCE_BUTTON", true);
  },
  beforeDestroy() {
    if (!this.wasSidebarOpen) this.$store.commit("TOGGLE_REDUCE_BUTTON", false);
  }
};
</script>
